// -----------------------------------------------------------------------------------
// ==UserScript==
// @name		APEX 3.x Developer Tool Bar
// @namespace	http://dbswh.com/
// @description	Float Apex 3.x Developer Tool Bar bottom of page. Works with Firefox
// @version		1.2.3
// @author		Jari Laine
// @require		http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js
// @include		*/f?p=*
// @include     *wwv_flow.accept*
// @exclude		*/f?p=4000:*
// @exclude		*/f?p=4050:*
// @exclude		*/f?p=4155:*
// @exclude		*/f?p=4300:*
// @exclude		*/f?p=4350:*
// @exclude		*/f?p=4400:*
// @exclude		*/f?p=4411:*
// @exclude		*/f?p=4500:*
// @exclude		*/f?p=4550:*
// @exclude		*/f?p=4600:*
// @exclude		*/f?p=4700:*
// @exclude		*/f?p=4800:*
// @exclude		*/f?p=4900:*
// @exclude		http://apex.oracle.com/*
// ==/UserScript==
// -----------------------------------------------------------------------------------

 var toolBarTable=$('body>table[summary="Developer Toolbar"]');

 if(toolBarTable.length>0){

  var toolBarFirstRow = toolBarTable.find('tr:first');
  var toolBarColumnCount = toolBarFirstRow.children().length;
  var toggleToolBar = $('<tr><td><img src="/i/qb/i/horizontal_openClose.png" alt="" /></td></tr>');

  toolBarTable.css({
   'position':'fixed',
   'bottom':'0px',
   'width':'100%',
   'z-index':'999',
   'text-align':'center'
  });

  toggleToolBar.insertBefore(toolBarFirstRow);

  toggleToolBar.children('td').attr({'colspan':toolBarColumnCount});

  toggleToolBar.click(function(){
   toolBarTable.find('tr:eq(1)').toggle();
  });
}
